﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Platform.ComponentModel
{
    /// <summary>
    /// Generic tree item
    /// </summary>
    public interface ITreeItem
    {
        /// <summary>
        /// Gets the parent item
        /// </summary>
        ITreeItem Parent { get; }

        /// <summary>
        /// Gets the collection of children
        /// </summary>
        IEnumerable<ITreeItem> Children { get; }
    }
}
