﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Platform.Schedules
{
    public interface ITimeWeekRoster
    {
        /// <summary>
        /// Gets or sets the start date
        /// </summary>
        DateTime StartDate { get; set; }

        /// <summary>
        /// Gets or sets the until date
        /// </summary>
        DateTime UntilDate { get; set; }

        /// <summary>
        /// Gets or sets the start minute offset from sunday
        /// </summary>
        TimeSpan StartMinute { get; set; }

        /// <summary>
        /// Gets or sets the until minute offset from sunday
        /// </summary>
        TimeSpan UntilMinute { get; set; }
    }
}
