﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Platform.Schedules
{
    public class TimeWeekRoster : ITimeWeekRoster
    {
        /// <summary>
        /// Gets or sets the start date
        /// </summary>
        public DateTime StartDate { get; set; }

        /// <summary>
        /// Gets or sets the until date
        /// </summary>
        public DateTime UntilDate { get; set; }

        /// <summary>
        /// Gets or sets the start minute offset from sunday
        /// </summary>
        public TimeSpan StartMinute { get; set; }

        /// <summary>
        /// Gets or sets the until minute offset from sunday
        /// </summary>
        public TimeSpan UntilMinute { get; set; }
    }
}
